<EntityClassDefinition.Bed_Bunk_Shutter_Bottom_AEGS __id="012c96c2-ba4f-4784-9ca5-27fe08f4cd75" __path="libs/foundry/records/entities/scitem/usables/attachments/bed_bunk_shutter_bottom_aegs.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="0.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="" Type="Door">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SCItemDoorParams __type="DataForgeComponentParams" __polymorphicType="SCItemDoorParams" AutoCloseDelay="3.0" BreachedDoorAnimationSpeed="1.0" BreachedDoorOpenAmount="0.15000000596046448" BreachingDoorAnimationSpeed="1.0" ClosedEffectGroup="" CloseEffectGroup="" CloseFinishedInteraction="None" ClosingEffectGroup="" DestructionBehavior="BreakDoor" DoorAnimationSpeed="1.0" FragName="SCItemDoor" IsIgnoredByDoorController="0" IsLocked="0" IsOpened="0" LockedEffectGroup="" LockInteraction="None" OpenedEffectGroup="" OpenEffectGroup="" OpenFinishedInteraction="None" OpeningEffectGroup="" OverrideClosedEffectGroup="" OverrideCloseEffectGroup="" OverrideCloseInteraction="None" OverrideClosingEffectGroup="" OverrideOpenedEffectGroup="" OverrideOpenEffectGroup="" OverrideOpeningEffectGroup="" OverrideOpenInteraction="None" SecondaryOpenInteraction="None" ToggleInteraction="None" UnlockedEffectGroup="" UnlockInteraction="None" UseAutoCloseDelay="0">
      <AnimationParams __type="SCItemDoorAnimationParams" __polymorphicType="SCItemDoorSimpleOpenCloseParams" CloseTag="Close" DefaultAnimationDurationScale="1.0" OpenTag="Open" SecondaryAnimationDurationScale="1.0" />
      <CloseInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </CloseInteraction>
      <CollisionReaction __type="SDoorCollisionReactionBaseParams" __polymorphicType="SDoorCollisionReactionNoneParams" />
      <EffectParams __type="SCItemDoorEffectParams" closedTrigger="00000000-0000-0000-0000-000000000000" closeTrigger="00000000-0000-0000-0000-000000000000" closingTag="00000000-0000-0000-0000-000000000000" lockedTrigger="00000000-0000-0000-0000-000000000000" openedTrigger="00000000-0000-0000-0000-000000000000" openingTag="00000000-0000-0000-0000-000000000000" openTrigger="00000000-0000-0000-0000-000000000000" overrideClosedTrigger="00000000-0000-0000-0000-000000000000" overrideCloseTrigger="00000000-0000-0000-0000-000000000000" overrideClosingTag="00000000-0000-0000-0000-000000000000" overrideOpenedTrigger="00000000-0000-0000-0000-000000000000" overrideOpeningTag="00000000-0000-0000-0000-000000000000" overrideOpenTrigger="00000000-0000-0000-0000-000000000000" unlockedTrigger="00000000-0000-0000-0000-000000000000" />
      <OpenInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </OpenInteraction>
      <PortalMode __type="SCItemDoorPortalModeParams" __polymorphicType="SCItemDoorPortalModeAutomaticParams" />
    </SCItemDoorParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/Spaceships/Ships/AEGS/Idris_Frigate/interior/sleeping_quarters/aegs_hab_bunkbed_BottomShutter.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SAnimationControllerParams __type="DataForgeComponentParams" __polymorphicType="SAnimationControllerParams" AnimationController="SCItems\Doors\SCItem_Door_ControllerDefs.xml" AnimationDatabase="SCItems\Doors\SCItem_Door_Anims.adb" AnimationJointControls="None" defaultAnimation="None">
      <AnimationControlActorIKs />
      <AnimationTasks />
      <ScopeContexts />
      <Tags />
    </SAnimationControllerParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints />
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="1" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports />
    </SItemPortContainerComponentParams>
    <ItemControlComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControlComponentParams" throttleParams="None" turnedOnByDefault="1" />
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.Bed_Bunk_Shutter_Bottom_AEGS>